﻿using KCOM_FinalService.Common;
using KCOM_FinalService.Remoting;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;

using System.Text;
using System.Threading;

namespace KCOM_FinalService
{
    public partial class FinalService 
    {
        #region PROPERTIES
        System.Timers.Timer _Timer = new System.Timers.Timer();
        RemFinalPDFStation _remotingFinal = null;
        ServiceEventLog _log = null;
        public ServiceEventLog Logger
        {
            get { return this._log; }
        }

        Thread _FirewallOpenThread = null;
        #endregion

        public FinalService()
        {
            

            _log = new ServiceEventLog();
            _Timer.Interval = 60000; //잉 왜 60분으로 했더라..
            _Timer.Elapsed += _Timer_Elapsed;
            _remotingFinal = new RemFinalPDFStation(_log);
        }

        private void _Timer_Elapsed(object sender, System.Timers.ElapsedEventArgs e)
        {
            _log.Write("FinalService","FinalService가 정상적으로 실행 중입니다 " + DateTime.Now);
        }

        public void OnStart()
        {
            _log.Write("OnStart", "Service");
            _remotingFinal = new RemFinalPDFStation(_log);
            _Timer.Enabled = true;
        }

        public void OnStop()
        {
            _remotingFinal.Dispose();
        }
    }
}
